org.codehaus.plexus.component.configurator.expression

## Interface ExpressionEvaluator

All Known Implementing Classes:
  DefaultExpressionEvaluator

    public interface ExpressionEvaluator

Evaluate an expression.

Version:
  $Id: ExpressionEvaluator.java 1709 2005-04-15 05:28:27Z brett $
Author:
  Brett Porter

### Method Summary

Methods
`File` `alignToBaseDirectory(File file)` Align a given path to the base directory that can be evaluated by this expression evaluator, if known.
`Object` `evaluate(String expression)` Evaluate an expression.

### Method Detail

#### evaluate

    Object evaluate(String expression)
                    throws ExpressionEvaluationException

Evaluate an expression.

Parameters:
  `expression` - the expression
Returns:
  the value of the expression
Throws:
  `ExpressionEvaluationException`

#### alignToBaseDirectory

    File alignToBaseDirectory(File file)

Align a given path to the base directory that can be evaluated by this expression evaluator, if known.

Parameters:
  `file` - the file
Returns:
  the aligned file